import { FastifyInstance } from 'fastify';
import { login, refresh, logout, me } from '../controllers/auth.controller';

export async function authRoutes(server: FastifyInstance) {
    server.post('/login', login);
    server.post('/refresh', refresh);
    server.post('/logout', logout);
    server.get('/me', me);
}
